%define		kdeplasmaver	5.23.4
%define		qtver		5.9.0
%define		kpname		bluedevil
Summary:	Integrate the Bluetooth technology within KDE workspace and applications
Name:		kp5-%{kpname}
Version:	5.23.4
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	129d38e7781b6b8de4228d5798a43cfb
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Quick-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	kf5-bluez-qt-devel
BuildRequires:	kf5-extra-cmake-modules >= 1.4.0
BuildRequires:	kf5-kconfigwidgets-devel
BuildRequires:	kf5-kdbusaddons-devel
BuildRequires:	kf5-kdeclarative-devel
BuildRequires:	kf5-kded-devel
BuildRequires:	kf5-kio-devel
BuildRequires:	kf5-kirigami2-devel
BuildRequires:	kf5-knotifications-devel
BuildRequires:	kf5-kwidgetsaddons-devel
BuildRequires:	kf5-kwindowsystem-devel
BuildRequires:	kf5-plasma-framework-devel
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Integrate the Bluetooth technology within KDE workspace and
applications.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang bluedevil --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f bluedevil.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bluedevil-sendfile
%attr(755,root,root) %{_bindir}/bluedevil-wizard
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kded/bluedevil.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kio/kio_bluetooth.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kio/kio_obexftp.so
%dir %{_libdir}/qt5/qml/org/kde/plasma/private/bluetooth
%{_libdir}/qt5/qml/org/kde/plasma/private/bluetooth/qmldir
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/plasma/private/bluetooth/libbluetoothplugin.so
%{_desktopdir}/org.kde.bluedevilsendfile.desktop
%{_desktopdir}/org.kde.bluedevilwizard.desktop
%dir %{_datadir}/bluedevilwizard
%{_datadir}/bluedevilwizard/pin-code-database.xml
%{_datadir}/knotifications5/bluedevil.notifyrc
%{_datadir}/mime/packages/bluedevil-mime.xml
%{_datadir}/plasma/plasmoids/org.kde.plasma.bluetooth
%{_datadir}/remoteview/bluetooth-network.desktop
%{_datadir}/metainfo/org.kde.plasma.bluetooth.appdata.xml
%{_libdir}/qt5/plugins/kcms/kcm_bluetooth.so
%dir %{_datadir}/kpackage/kcms/kcm_bluetooth
%dir %{_datadir}/kpackage/kcms/kcm_bluetooth/contents
%dir %{_datadir}/kpackage/kcms/kcm_bluetooth/contents/ui
%{_datadir}/kpackage/kcms/kcm_bluetooth/contents/ui/Bluetooth.qml
%{_datadir}/kpackage/kcms/kcm_bluetooth/contents/ui/Device.qml
%{_datadir}/kpackage/kcms/kcm_bluetooth/contents/ui/General.qml
%{_datadir}/kpackage/kcms/kcm_bluetooth/metadata.desktop
%{_datadir}/kpackage/kcms/kcm_bluetooth/metadata.json
%{_datadir}/kservices5/bluetooth.desktop
%changelog
* Wed Dec 08 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-bluedevil.git;a=log;h=master

* Wed Dec 08 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> e963218
- BR

* Wed Dec 08 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 60ceb03
- BRs

* Wed Dec 08 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f5e2507
- BR

* Wed Dec 08 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 5a8c3da
- BR

* Wed Dec 01 2021 Witold Filipczyk <witekfl@poczta.onet.pl> e0cb8c9
- updated to 5.23.4

* Sat Nov 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 548b9fb
- updated to 5.23.3

* Tue Oct 26 2021 Witold Filipczyk <witekfl@poczta.onet.pl> c205d74
- updated to 5.23.2

* Wed Oct 20 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 1a7a64b
- updated to 5.23.1

* Thu Oct 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 5a054fe
- updated to 5.23.0

* Fri Sep 03 2021 Witold Filipczyk <witekfl@poczta.onet.pl> cc2383c
- updated to 5.22.5

* Tue Jul 27 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 2869c23
- updated to 5.22.4

* Wed Jul 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> e6c11d6
- updated to 5.22.3

* Wed Jun 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 7026806
- updated to 5.22.2.1

* Wed Jun 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> f2235c8
- updated to 5.22.1

* Wed Jun 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> c515368
- updated to 5.22.0

* Wed May 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 5a9d2f4
- updated to 5.21.5

* Fri Apr 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 9189580
- updated to 5.21.4

* Tue Mar 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> b101ba2
- update to 5.21.3

* Sun Mar 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 1f74001
- update to 5.21.2

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> f93e451
- updated to 5.15.3

